
%define name ati
%define version 8.28.8

%if %mdkversion < 200700
%define xorgversion 690
%else
%define xorgversion 710
%endif

%define distsuffix plf

%define rel 3
%define release %mkrel %rel

%define module_name fglrx

%ifarch %ix86
%define xverdir	x%{xorgversion}
%define archdir	arch/x86
%endif
%ifarch x86_64
%define xverdir x%{xorgversion}_64a
%define archdir arch/x86_64
%endif

%if %{mdkversion} <= 200600
%define x11incl	%{_prefix}/X11R6/include
%define x11bin	%{_prefix}/X11R6/bin
%define x11lib	%{_prefix}/X11R6/%{_lib}
%define xorgdir %{_prefix}/X11R6/%{_lib}
%define x32dir %{_prefix}/X11R6/lib
%define dridir  %{_prefix}/X11R6/%{_lib}/modules/dri
%define d32dir %{_prefix}/X11R6/lib/modules/dri
%define ldsoconfgldir %{_sysconfdir}/ld.so.conf.d
%else
%define x11incl %{_includedir}
%define x11bin	%{_bindir}
%define x11lib	%{_libdir}
%define xorgdir %{_libdir}/xorg
%define x32dir %{_prefix}/lib/xorg
%define dridir  %{_libdir}/dri
%define d32dir %{_prefix}/lib/dri
%define ldsoconfgldir %{_sysconfdir}/ld.so.conf.d/GL
%endif

# other packages should not require any libraries from these pkgs
# if they do, either they're broken or the lib needs to be split out
%define _provides_exceptions \\.so
%define common_requires_exceptions libfglrx.*\\.so

%ifarch x86_64
# we catch out 32bit deps
%define _requires_exceptions %common_requires_exceptions\\|lib.*so.[0-9]*\\(([^)]\\+)\\)\\{0,1\\}$
%else
%define _requires_exceptions %common_requires_exceptions
%endif

# (ah) I think that mklibifying this would create too much confusion, with all
# these 32bit-compat packages etc.
# However, if someone comes up with an idea on how that would be needed, I'm
# ready to do that.

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	ATI proprietary X.org driver and libraries
License:	Freeware
Source:		https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-%{version}.run
Patch0:		ati-8.28.8-uname_r.patch.bz2
Patch1:		ati-8.19.10-fglrx_gamma-extutil-include.patch.bz2
Patch2:		ati-8.19.10-fgl_glxgears-obsolete-include.patch.bz2
URL:		http://www.ati.com/support/driver.html
Group:		System/Kernel and hardware
ExclusiveArch:	%ix86 x86_64
Requires:	dkms-%{name} = %{version}
Requires:	usermode
Requires:	usermode-consoleonly
%if %{mdkversion} >= 200700
Requires:	x11-server-common
Requires:	drakxtools-backend >= 10.4.75
Requires(post):	update-alternatives
Requires(postun): update-alternatives
%endif
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Provides:	%{name}-xorg = %{version}-%{release}
Obsoletes:	%{name}-xorg
Conflicts:	fglrx_6_8_0 fglrx_4_3_0 fglrx_4_2_0 fglrx_4_1_0
%ifarch x86_64
Conflicts:	fglrx64_6_8_0 fglrx64_4_3_0
Provides:	ati-xorg-32bit-compat
Obsoletes:	ati-xorg-32bit-compat
%endif
BuildRequires:	ImageMagick
BuildRequires:	qt3-devel
%if %mdkversion <= 200600
BuildRequires:	MesaGLU-devel
%else
BuildRequires:	mesaglu-devel
BuildRequires:	mesagl-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxft-devel
BuildRequires:	libxaw-devel
# qt3 requires, for some reason not required by qt3-devel
BuildRequires:	libxrandr-devel
BuildRequires:	libxcursor-devel
# end of qt3 requires
BuildRequires:	imake x11-util-cf-files
%endif
Buildroot:	%{_tmppath}/%{name}-root

%description
ATI proprietary X.org graphics driver, related libraries and
configuration tools for ATI Radeon 8500 and newer ATI Radeon video
cards, ATI Mobility Radeon 9000 and newer ATI Mobility Radeon video
cards, ATI Radeon Xpress 200M/200 series video cards, ATI FireGL
8700 and newer ATI FireGL video cards.

You should install this package if you want to enable the ATI
proprietary X.org driver for those cards.

After installation you can reconfigure X to use the this driver
automatically (this is usually not necessary if you're upgrading):
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select the "Radeon (fglrx)" (it is usually already autoselected).
4. Answer any questions asked and then quit.

See README.install.urpmi for details.

This package is in PLF for its non-free license.

%package -n dkms-%{name}
Summary:	ATI kernel module for Radeon 8500 and newer ATI video cards
Group:		System/Kernel and hardware
Requires:	dkms
Requires:	%{name}-xorg = %{version}

%description -n dkms-%{name}
ATI proprietary kernel module for ATI Radeon 8500 and newer ATI
video cards. This is to be used with the %name package.

This package is in PLF for its non-free license.

%package	devel
Summary:	ATI development libraries and headers
Group:		System/Kernel and hardware
Provides:	ati-xorg-devel
Obsoletes:	ati-xorg-devel
Requires:	%{name} = %{version}

%description	devel
ATI proprietary development libraries and headers for ATI Radeon
8500 and newer ATI video cards. This package is not required for
anything, it is just provided for completeness.

This package is in PLF for its non-free license.

%prep
%setup -T -c
sh %{SOURCE0} --extract .

mkdir fglrx_panel
pushd fglrx_panel
tar -xzf ../common/usr/src/ATI/fglrx_panel_sources.tgz
popd

mkdir fglrx_tools
pushd fglrx_tools
tar -xzf ../common/usr/src/ATI/fglrx_sample_source.tgz
popd

%patch0 -p1
%patch1 -p0
%patch2 -p0
cat packages/SuSE/kernel-2.6.18.diff | patch -p0 -d common/lib/modules/fglrx/build_mod

cmp common/usr/X11R6/include/X11/extensions/fglrx_gamma.h fglrx_tools/lib/fglrx_gamma/fglrx_gamma.h

%if %{mdkversion} >= 200610
# no macros, we have to keep the string length the same when modifying the library directly
perl -pi -e 's|/usr/X11R6/lib/modules/dri|///////////////usr/lib/dri|' %{archdir}/usr/X11R6/lib/libGL.so.1.2
%ifarch x86_64
perl -pi -e 's|/usr/X11R6/lib64/modules/dri|///////////////usr/lib64/dri|' %{archdir}/usr/X11R6/lib64/libGL.so.1.2
%endif
%endif

cat > README.install.urpmi <<EOF
Follow the instructions below to reconfigure X to use the new ATI driver.
If you are upgrading from another ATI proprietary driver, reconfiguring is
unnecessary.

You can reconfigure X either automatically:
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select the "Radeon (fglrx)" (it is usually already autoselected).
4. Answer any questions asked and then quit.

OR you can do it manually by editing %{_sysconfdir}/X11/xorg.conf:
1. Change the Driver to "fglrx" in the Device section.
%if %mdkversion >= 200700
2. Run "update-alternatives --config gl_conf" and select ati.conf.
%endif
EOF

%build
pushd fglrx_panel
%make LIBQT_DYN=qt-mt CC="%__cxx %optflags" C="%__cc %optflags"
popd

pushd fglrx_tools/lib/fglrx_gamma
xmkmf
%make CC="%__cc %optflags"
popd

pushd fglrx_tools/fgl_glxgears
xmkmf
%make RMAN=/bin/true CC="%__cc %optflags"
popd

pushd fglrx_tools/programs/fglrx_gamma
xmkmf
%make INSTALLED_LIBS=-L../../lib/fglrx_gamma INCLUDES=-I../../../common/usr/X11R6/include CC="%__cc %optflags" RMAN=/bin/true
popd

%install
rm -rf %{buildroot}

# OpenGL headers
install -d -m755 %{buildroot}%{_includedir}/GL
install -m644 common/usr/include/GL/*  %{buildroot}%{_includedir}/GL

# gamma header
install -d -m755 %{buildroot}%{x11incl}/X11/extensions
install -m644 fglrx_tools/lib/fglrx_gamma/*.h  %{buildroot}%{x11incl}/X11/extensions

# etc
install -d -m755 %{buildroot}%{_sysconfdir}
cp -a common/etc/* %{buildroot}%{_sysconfdir}

# binaries
install -d -m755 %{buildroot}%{x11bin} %{buildroot}%{_bindir} %{buildroot}%{_sbindir}
install -m755 %{archdir}/usr/X11R6/bin/aticonfig %{buildroot}%{x11bin}
install -m755 fglrx_tools/fgl_glxgears/fgl_glxgears %{buildroot}%{x11bin}
install -m755 %{archdir}/usr/X11R6/bin/fglrxinfo %{buildroot}%{x11bin}
install -m755 %{archdir}/usr/sbin/atieventsd %{buildroot}%{_sbindir}
install -m755 fglrx_panel/fireglcontrol %{buildroot}%{_sbindir}
ln -s fireglcontrol %{buildroot}%{_sbindir}/fireglcontrolpanel
install -m755 fglrx_tools/programs/fglrx_gamma/fglrx_xgamma %{buildroot}%{x11bin}

# ask root passwd
ln -s consolehelper %{buildroot}%{_bindir}/fireglcontrol
ln -s consolehelper %{buildroot}%{_bindir}/fireglcontrolpanel

# scripts
install -m755 common/usr/sbin/* %{buildroot}%{_sbindir}

# dkms
install -d -m755 %{buildroot}/usr/src/%{name}-%{version}-%{release}
install common/usr/share/doc/fglrx/*LICENSE* %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a common/lib/modules/fglrx/build_mod/* %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a %{archdir}/lib/modules/fglrx/build_mod/* %{buildroot}/usr/src/%{name}-%{version}-%{release}
# not required, but rpmlint complains otherwise:
chmod 0755 %{buildroot}/usr/src/%{name}-%{version}-%{release}/make.sh

# dri
install -d -m755 %{buildroot}%{dridir}
install -m755 %{archdir}/usr/X11R6/%{_lib}/modules/dri/* %{buildroot}%{dridir}
%ifarch x86_64
install -d -m755 %{buildroot}%{d32dir}
install -m755 %{archdir}/usr/X11R6/lib/modules/dri/* %{buildroot}%{d32dir}
%endif

# fglrx_drv
install -d -m755 %{buildroot}%{xorgdir}/modules/drivers
install -m755 %{xverdir}/usr/X11R6/%{_lib}/modules/drivers/*.so* %{buildroot}%{xorgdir}/modules/drivers

# drm
install -d -m755 %{buildroot}%{xorgdir}/modules/linux
install -m755 %{xverdir}/usr/X11R6/%{_lib}/modules/linux/*.so* %{buildroot}%{xorgdir}/modules/linux

# libraries
install -d -m755 %{buildroot}%{x11lib}
install -m644 %{archdir}/usr/X11R6/%{_lib}/libfglrx_pp.a %{buildroot}%{x11lib}
install -m644 %{archdir}/usr/X11R6/%{_lib}/libfglrx_dm.a %{buildroot}%{x11lib}
install -m644 %{archdir}/usr/X11R6/%{_lib}/libfglrx_tvout.a %{buildroot}%{x11lib}
install -m644 %{archdir}/usr/X11R6/%{_lib}/libatixutil.a %{buildroot}%{x11lib}
install -m644 fglrx_tools/lib/fglrx_gamma/libfglrx_gamma.a %{buildroot}%{x11lib}
install -m755 fglrx_tools/lib/fglrx_gamma/libfglrx_gamma.so.1.0 %{buildroot}%{x11lib}
install -m755 %{archdir}/usr/X11R6/%{_lib}/libfglrx_pp.so.1.0 %{buildroot}%{x11lib}
install -m755 %{archdir}/usr/X11R6/%{_lib}/libfglrx_dm.so.1.0 %{buildroot}%{x11lib}
install -m755 %{archdir}/usr/X11R6/%{_lib}/libfglrx_tvout.so.1.0 %{buildroot}%{x11lib}
ln -s libfglrx_gamma.so.1.0 %{buildroot}%{x11lib}/libfglrx_gamma.so.1
ln -s libfglrx_pp.so.1.0 %{buildroot}%{x11lib}/libfglrx_pp.so.1
ln -s libfglrx_dm.so.1.0 %{buildroot}%{x11lib}/libfglrx_dm.so.1
ln -s libfglrx_tvout.so.1.0 %{buildroot}%{x11lib}/libfglrx_tvout.so.1
ln -s libfglrx_gamma.so.1.0 %{buildroot}%{x11lib}/libfglrx_gamma.so
ln -s libfglrx_pp.so.1.0 %{buildroot}%{x11lib}/libfglrx_pp.so
ln -s libfglrx_dm.so.1.0 %{buildroot}%{x11lib}/libfglrx_dm.so
ln -s libfglrx_tvout.so.1.0 %{buildroot}%{x11lib}/libfglrx_tvout.so

# GL library
install -d -m755 %{buildroot}%{_libdir}/%{name}
install -m755 %{archdir}/usr/X11R6/%{_lib}/libGL.so.1.2 %{buildroot}%{_libdir}/%{name}
ln -s libGL.so.1.2 %{buildroot}%{_libdir}/%{name}/libGL.so
ln -s libGL.so.1.2 %{buildroot}%{_libdir}/%{name}/libGL.so.1
%ifarch x86_64
install -d -m755 %{buildroot}%{_prefix}/lib/%{name}
install -m755 %{archdir}/usr/X11R6/lib/libGL.so.1.2 %{buildroot}%{_prefix}/lib/%{name}
ln -s libGL.so.1.2 %{buildroot}%{_prefix}/lib/%{name}/libGL.so
ln -s libGL.so.1.2 %{buildroot}%{_prefix}/lib/%{name}/libGL.so.1
%endif

# ld.so.conf.d
install -d -m755 %{buildroot}%{ldsoconfgldir}
echo "%{_libdir}/ati" > %{buildroot}%{ldsoconfgldir}/%{name}.conf
%ifarch x86_64
echo "%{_prefix}/lib/ati" >> %{buildroot}%{ldsoconfgldir}/%{name}.conf
%endif

# man pages
install -d -m755 %{buildroot}%{_mandir}/man1 %{buildroot}%{_mandir}/man8
install -m644 fglrx_tools/programs/fglrx_gamma/fglrx_xgamma.man %{buildroot}%{_mandir}/man1/fglrx_xgamma.1
install -m644 fglrx_tools/fgl_glxgears/fgl_glxgears.man %{buildroot}%{_mandir}/man1/fgl_glxgears.1
install -m644 common/usr/share/man/man8/* %{buildroot}%{_mandir}/man8

# atieventsd initscript
install -d -m755 %{buildroot}%{_initrddir}
install -m755 packages/Mandriva/atieventsd.init %{buildroot}%{_initrddir}/atieventsd

# menus
install -d -m755 %{buildroot}/%{_menudir}
cat <<EOF >%{buildroot}/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/fireglcontrol" \
                  icon=ati.png \
                  needs="x11" \
                  section="System/Configuration/Hardware" \
                  title="ATI Control Panel"\
                  longtitle="Configure ATI X driver" \
                  xdg="true"
EOF

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-fireglcontrolpanel.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Ati Control Panel
Comment=Configure ATI X driver
Exec=%{x11bin}/fireglcontrolpanel
Icon=ati
Terminal=false
Type=Application
Categories=Settings;HardwareSettings;X-MandrivaLinux-System-Configuration;
EOF

# icons
install -d -m755 %buildroot/%{_miconsdir} %buildroot/%{_iconsdir} %buildroot/%{_liconsdir}
convert common/usr/share/icons/ati.xpm -resize 16x16 %buildroot/%{_miconsdir}/ati.png
convert common/usr/share/icons/ati.xpm -resize 32x32 %buildroot/%{_iconsdir}/ati.png
convert common/usr/share/icons/ati.xpm -resize 48x48 %buildroot/%{_liconsdir}/ati.png

# dkms
cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{name}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/video"
BUILT_MODULE_NAME[0]="%{module_name}"
MAKE[0]="KERNEL_PATH=\${kernel_source_dir} uname_r=\${kernelver} sh make.sh"
CLEAN="true"
AUTOINSTALL="YES"
EOF

find %{buildroot}
%clean
rm -rf %{buildroot}

# We look for non-rpm installation and uninstall it
%pre
if [[ -f /usr/share/fglrx/fglrx-uninstall.sh ]]; then
	cd /usr/share/fglrx
	sh fglrx-uninstall.sh &>/dev/null || :
	rm -f fglrx-uninstall.sh
fi

%post
%if %mdkversion >= 200700
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{ldsoconfgldir}/%{name}.conf 1000
# Override from manual mode in case of file absence
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
	%{_sbindir}/update-alternatives --auto gl_conf
fi
%endif
/sbin/ldconfig
%{update_menus}
%_post_service atieventsd

%preun
%_preun_service atieventsd

%postun
%if %mdkversion >= 200700
# We check file instead of $0 to allow easy migration to another scheme later
if [ ! -f %{ldsoconfgldir}/%{name}.conf ]; then
	%{_sbindir}/update-alternatives --remove gl_conf %{ldsoconfgldir}/%{name}.conf
# Override from manual mode in case of file absence
	if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
		%{_sbindir}/update-alternatives --auto gl_conf
	fi
fi
%endif
/sbin/ldconfig
%{clean_menus}

%post -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade

# rmmod any old driver if present and not in use (e.g. by X)
rmmod %{module_name} > /dev/null 2>&1 || true

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version}-%{release} --all --rpm_safe_upgrade

%files
%defattr(-,root,root)
%doc common/usr/share/doc/fglrx/*
%doc README.install.urpmi
%{ldsoconfgldir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/fglrxrc
%config(noreplace) %{_sysconfdir}/fglrxprofiles.csv
%dir %{_sysconfdir}/ati
%{_sysconfdir}/ati/*.sh
%{_sysconfdir}/ati/*.example
%{_sbindir}/atieventsd
%{_sbindir}/atigetsysteminfo.sh
%{x11bin}/aticonfig
%{x11bin}/fgl_glxgears
%{x11bin}/fglrxinfo
%{_bindir}/fireglcontrol
%{_sbindir}/fireglcontrol
%{_bindir}/fireglcontrolpanel
%{_sbindir}/fireglcontrolpanel
%{x11bin}/fglrx_xgamma
%{dridir}/atiogl_a_dri.so
%{dridir}/fglrx_dri.so
%{xorgdir}/modules/drivers/fglrx_drv.so
%{xorgdir}/modules/linux/libfglrxdrm.so
%{x11lib}/libfglrx_gamma.so.*
%{x11lib}/libfglrx_pp.so.*
%{x11lib}/libfglrx_dm.so.*
%{x11lib}/libfglrx_tvout.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libGL.so.*
%{_miconsdir}/ati.png
%{_iconsdir}/ati.png
%{_liconsdir}/ati.png
%{_menudir}/%{name}
%{_mandir}/man1/fglrx_xgamma.1*
%{_mandir}/man1/fgl_glxgears.1*
%{_mandir}/man8/atieventsd.8*
%{_initrddir}/atieventsd
%{_datadir}/applications/*.desktop
%ifarch x86_64
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/libGL.so.*
%{d32dir}
%endif

%files devel
%defattr(-,root,root)
%{x11lib}/libatixutil.a
%{x11lib}/libfglrx_gamma.a
%{x11lib}/libfglrx_pp.a
%{x11lib}/libfglrx_dm.a
%{x11lib}/libfglrx_tvout.a
%{x11lib}/libfglrx_gamma.so
%{x11lib}/libfglrx_pp.so
%{x11lib}/libfglrx_dm.so
%{x11lib}/libfglrx_tvout.so
%{x11incl}/X11/extensions/fglrx_gamma.h
%{_includedir}/GL/*.h
%{_libdir}/%{name}/libGL.so
%ifarch x86_64
%{_prefix}/lib/%{name}/libGL.so
%endif

%files -n dkms-%{name}
%defattr(-,root,root)
/usr/src/%{name}-%{version}-%{release}

%changelog
* Sun Sep 24 2006 Anssi Hannula <anssi@zarb.org> 8.28.8-3plf2007.0
- make sure gl_conf is not in invalid state after remove on 2007.0
- fix stale symlink check of gl_conf on 2007.0
- update doc in README.install.urpmi

* Thu Sep 21 2006 Anssi Hannula <anssi@zarb.org> 8.28.8-2plf2007.0
- use alternatives for 2007.0
- ask root password for control panel
- update doc in description and README.install.urpmi
- standardize PLF reason

* Sat Aug 19 2006 Anssi Hannula <anssi@zarb.org> 8.28.8-1plf2007.0
- 8.28.8
- modify patch0 to compile tlog with specified KVER
- apply 2.6.18 support patch
- clean unused stuff from .spec
- fix typo in description

* Fri Jul 28 2006 Anssi Hannula <anssi@zarb.org> 8.27.10-1plf2007.0
- 8.27.10
  * includes X.org 7.1 support

* Sat Jul 22 2006 Anssi Hannula <anssi@zarb.org> 8.26.18-4plf2007.0
- don't require drakxtools not available on 2006.0 official (#133)

* Tue Jul 18 2006 Anssi Hannula <anssi@zarb.org> 8.26.18-3plf2007.0
- drop conflicts with cooker xorg, it caused problems with XFdrake

* Sun Jul 16 2006 Anssi Hannula <anssi@zarb.org> 8.26.18-2plf2007.0
- merge to a new three-package packaging scheme
  * dkms-ati: kernel module
  * ati: X.org driver and libraries
  * ati-devel: development libraries and headers
- fix broken symlinks (Amrein-Marie Christophe)
- use %%optflags for tools

* Tue Jun 28 2006 Anssi Hannula <anssi@zarb.org> 8.26.18-1plf2007.0
- 8.26.18
- atieventsd initscript
- xdg menu

* Sat Jun 10 2006 Anssi Hannula <anssi@zarb.org> 8.25.18-5plf2007.0
- add libGL to _provides_exceptions

* Mon Jun 05 2006 Anssi Hannula <anssi@zarb.org> 8.25.18-4plf2007.0
- requires x11-server-common on cooker
- fix dri path to %%_libdir/dri on cooker

* Wed May 31 2006 Anssi Hannula <anssi@zarb.org> 8.25.18-3plf2007.0
- rebuild for new libxaw on cooker

* Thu May 25 2006 Anssi Hannula <anssi@zarb.org> 8.25.18-2plf
- conflicts xorg 7.1
- fix BuildRequires on cooker

* Wed May 24 2006 Anssi Hannula <anssi@zarb.org> 8.25.18-1plf
- 8.25.18
- workaround wrong fglrx_dri.so path on cooker
- own modules/dri dir, we seem to be its only user on cooker
- ship correct x86_64 32-bit compatibility libraries on cooker
- do not modprobe in %%post

* Mon May 22 2006 Anssi Hannula <anssi@zarb.org> 8.24.8-2plf
- adapt dirs and buildrequires for xorg 7.0
- disable generating html man pages with rman

* Sat Apr 15 2006 Anssi Hannula <anssi@zarb.org> 8.24.8-1plf
- 8.24.8
- fix BuildRequires

* Thu Mar  9 2006 Anssi Hannula <anssi@zarb.org> 8.23.7-1plf
- 8.23.7

* Fri Feb 10 2006 Anssi Hannula <anssi@zarb.org> 8.22.5-1plf
- 8.22.5
- fix typos in description

* Fri Jan 20 2006 Anssi Hannula <anssi@zarb.org> 8.21.7-1plf
- 8.21.7
- drop patch3, unneeded
- fix BuildRequires MesaGLU-devel

* Thu Dec 29 2005 Anssi Hannula <anssi@zarb.org> 8.20.8-3plf
- move includes to %{_prefix}/X11R6/include
- silent %%pre

* Thu Dec 29 2005 Anssi Hannula <anssi@zarb.org> 8.20.8-2plf
- dkms-ati requires ati-xorg
- ati-xorg obsoletes ati

* Sun Dec 25 2005 Anssi Hannula <anssi@zarb.org> 8.20.8-1plf
- initial PLF release

